Get Surveys Submissions
GET https://services.leadconnectorhq.com/surveys/submissions
Autorización
Bearer token generado desde el portal Leadway. Ver Autenticación.
Version
string
default:"2021-07-28"
required
Versión de la API.
Query parameters
locationId
string
default:"ve9EPM428h8vShlRW1KT"
required
Page No. By default it will be 1
Limit Per Page records count. will allow maximum up to 100 and default will be 20
surveyId
string
default:"jjusM6EOngDExnbo2DbU"
Filter submission by survey id
q
string
default:"john@deo.com"
Filter by contactId, name, email or phone no.
startAt
string
default:"2020-11-14"
Get submission by starting of this date. By default it will be same date of last month(YYYY-MM-DD).
endAt
string
default:"2020-12-14"
Get submission by ending of this date. By default it will be current date(YYYY-MM-DD).
Respuestas
200 - Successful response
id
string
default:"be759b9a-c3ec-4b29-ba07-fc3c89c77673"
contactId
string
default:"9NkT25Vor1v4aQatFsv2"
createdAt
string
default:"2020-11-01T18:02:21.000Z"
surveyId
string
default:"jjusM6EOngDExnbo2DbU"
email
string
default:"test@test.com"
__submissions_other_field__
string
default:"john@deo.com"
fbc
string
default:"fb.1.123456789.987654321"
fbp
string
default:"fbp.1.987654321.123456789"
url
string
default:"https://example.com"
title
string
default:"Example Page"
type
string
default:"page-visit"
domain
string
default:"example.com"
source
string
default:"Direct traffic"
adSource
string
default:"example-ad-source"
mediumId
string
default:"medium-id-123"
parentId
string
default:"parent-id-456"
referrer
string
default:"https://app.leadwaycrm.com"
fbEventId
string
default:"event-id-789"
timestamp
number
default:"1234567890"
parentName
string
default:"Parent Survey"
fingerprint
string
default:"example-fingerprint"
{
"submissions": [
{
"id": "be759b9a-c3ec-4b29-ba07-fc3c89c77673",
"contactId": "9NkT25Vor1v4aQatFsv2",
"createdAt": "2020-11-01T18:02:21.000Z",
"surveyId": "jjusM6EOngDExnbo2DbU",
"name": "test",
"email": "test@test.com",
"others": {
"__submissions_other_field__": "john@deo.com",
"__custom_field_id__": "20",
"eventData": {},
"fieldsOriSequance": [
"full_name",
"first_name",
"last_name",
"phone",
"email"
]
}
}
],
"meta": {
"total": 1,
"currentPage": 1
}
}
422 - Unprocessable Entity
Ejemplo
curl -X GET 'https://services.leadconnectorhq.com/surveys/submissions' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28'
const response = await fetch('https://services.leadconnectorhq.com/surveys/submissions', {
method: 'GET',
headers: {
Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
Version: '2021-07-28',
},
});
const data = await response.json();
import os, requests
response = requests.request(
'GET',
'https://services.leadconnectorhq.com/surveys/submissions',
headers={
'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
'Version': '2021-07-28',
},
)
data = response.json()
<?php
$ch = curl_init('https://services.leadconnectorhq.com/surveys/submissions');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
'Version: 2021-07-28',
],
]);
$data = json_decode(curl_exec($ch), true);